flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "lizhi (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLEX-34720) flexjs can not install
Date Wed, 04 Feb 2015 00:52:35 GMT

    [ https://issues.apache.org/jira/browse/FLEX-34720?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14304411#comment-14304411
] 

lizhi commented on FLEX-34720:
------------------------------

我不是很精通英语,我可以用汉语交流吗?
我也不是很精通ant。
为什么installer不能自己设置环境变量呢?因为air都是它下载的,它肯定知道下载到哪里了。
而且我认为根本不需要设置很多很多系统环境变量。只需要一个installer手动写进一个配置文件里就可以了。或者直接用当前文件夹。

check-air-home:
     [echo] AIR_HOME is E:\sdk\flexjs2

check-flex-home:
     [echo] FLEX_HOME is E:\sdk\flexjs2

check-falcon-home:
     [echo] FALCON_HOME is ${env.FALCON_HOME}

BUILD FAILED。

当我设置完airhome,它又让我设置flexhome,设置完flexhome,又要设置falconhome。这个步骤真的很烦。
其实flexjs本身也做了很多工作了,为什么不把这个简单的安装做的完善一些了。这个工作应该比flexjs开发要简单很多,只需要简单的东西就能让用户更好的使用它。找一台新机器,测试一下安装器可不可以使用。

而且一般用户是不一定安装flashbuilder。所以应该重点测试ant命令能否正常运行。

现在这个实在是很难测试了。我现在懒得搞了。只能期待下个版本 flexjs0.3能把安装做的完善一些,我再来测试了。

> flexjs can not install
> ----------------------
>
>                 Key: FLEX-34720
>                 URL: https://issues.apache.org/jira/browse/FLEX-34720
>             Project: Apache Flex
>          Issue Type: Bug
>            Reporter: lizhi
>
> have you test install the flexjs use flex install tool?
> i can not run it ,in china.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message